Creates a new equipment_brand object
Request Information
URI Parameters :
None.
Body Parameters :
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "aa2d091f-daae-49f0-a83f-f0b64acc7c43",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "91c7f9f1-9b74-411b-8828-052a077de51b",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "2e774353-eff4-43c5-ad5b-f3c837430f35",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "040f0e7d-d8f3-4542-80a4-b97ff81581fa",
"db_currency_id": "5c93b5f5-00a0-4c7b-ab45-7f239c79131c",
"db_language_id": "6fd0d6ab-8d3a-4b6f-b115-21177b6a388d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T01:23:15.5204137+00:00"
},
"modified_dateutc": "2026-11-02T01:23:15.5204137+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.